%define AMC_cat Education;
%define AMC_makepass SYSTEM_TYPE=rpm MODSDIR=%{_libdir}/AMC MODELSDIR=%{_datadir}/%{name}/models TEXDIR=%{_datadir}/texmf/tex/latex/AMC BINDIR=%{_bindir} ICONSDIR=%{_datadir}/%{name}/icons PIXDIR=%{_datadir}/pixmaps PERLDIR=%{perl_vendorlib} MAN1DIR=%{_mandir}/man1 DOCDIR=%{_docdir}/%{name} DESKTOPDIR="" DESKTOP_CAT="%{AMC_cat}" USER_GROUP=""

Name:           auto-multiple-choice
Version:        1.4.0
Release:        %mkrel 6
Summary:        Multiple choice papers management
License:        GPLv2+
Group:          Education
URL:            https://gitlab.com/jojo_boulix/auto-multiple-choice
#https://gitlab.com/jojo_boulix/auto-multiple-choice/-/archive/%%{version}/%%{name}-%%{version}.tar.gz
Source0:        https://download.auto-multiple-choice.net/%{name}_%{version}_precomp.tar.gz
Patch0:         auto-multiple-choice-1.2.1-desktop-file.patch
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  desktop-file-utils
BuildRequires:  librsvg
BuildRequires:  netpbm-devel
BuildRequires:  netpbm
BuildRequires:  dblatex
BuildRequires:  texlive-dist
BuildRequires:  docbook-style-xsl
BuildRequires:  docbook-dtds
BuildRequires:  perl(Archive::Tar)

Requires:       texlive
Requires:       perl-Net-CUPS
Requires:       ghostscript
Requires:       poppler
Requires:       netpbm
Requires:       unzip
Requires:       graphicsmagick
Requires:       perl(Graphics::Magick)
Requires:       perl(DBD::SQLite)

%description
Utility to manage multiple choice questionnaires, with optionally
mixed questions and answers. AMC provides automatic marking from papers
scans. Annotated papers are produced. Marks can be exported as a
OpenOffice.org sheet file.

%files -f %{name}.lang
%doc COPYING ChangeLog doc/html doc/%{name}.??.xml
%doc %{_datadir}/doc/texmf/AMC
%doc doc/%{name}.??.pdf
%dir %{_datadir}/%{name}
%{_libdir}/AMC
%{_datadir}/%{name}/models
%{_datadir}/%{name}/icons
%{_datadir}/texmf/tex/latex/AMC
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg*
%{_datadir}/gtksourceview-3.0/language-specs/amc-txt.lang
%{_datadir}/mime/packages/%{name}.xml
%{perl_vendorlib}/AMC
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*.1*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/AMC-*.1*

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

sed -i 's|/usr/lib/AMC|%{_libdir}/AMC|' vars-subs.pl

%build
make %{AMC_makepass} GCC_NETPBM="-I /usr/include/netpbm -lnetpbm" GCC_OPENCV_LIBS="-lopencv_core -lopencv_highgui -lopencv_imgproc -lopencv_imgcodecs" GCC="gcc" GCC_PP="g++" CFLAGS="%{optflags} -Wall" CXXFLAGS="%{optflags} -Wall -fpermissive" LDFLAGS="%{ldflags}" TEXINPUTS=/usr/share/dblatex/latex/graphics/:

%install
make DESTDIR=%{buildroot} %{AMC_makepass} install
desktop-file-install --delete-original --dir=%{buildroot}%{_datadir}/applications %{name}.desktop
%find_lang %{name}

%post
texconfig-sys rehash

%postun
texconfig-sys rehash


%changelog
* Tue Nov 03 2020 akien <akien> 1.4.0-6.mga8
+ Revision: 1641969
- Rebuild against opencv 4.5

* Wed Feb 19 2020 umeabot <umeabot> 1.4.0-5.mga8
+ Revision: 1544320
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 daviddavid <daviddavid> 1.4.0-4.mga8
+ Revision: 1482820
- rebuild for new opencv 4.2.0

* Fri Dec 06 2019 daviddavid <daviddavid> 1.4.0-3.mga8
+ Revision: 1464784
- fix libraries path in binary

* Thu Dec 05 2019 daviddavid <daviddavid> 1.4.0-2.mga8
+ Revision: 1464503
- fix automultiplechoice.sty file not packaged (mga#25784)
  using a pre-compiled docs source tarball

* Mon Apr 22 2019 daviddavid <daviddavid> 1.4.0-1.mga7
+ Revision: 1394621
- new version: 1.4.0
- new URL and Source URL
- do not build pdf latex doc (fails for now)

* Fri Sep 21 2018 umeabot <umeabot> 1.2.1-14.mga7
+ Revision: 1295167
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 wally <wally> 1.2.1-13.mga7
+ Revision: 1243461
- fix linking
+ daviddavid <daviddavid>
- rebuild for new opencv 3.4.1

* Sun Aug 14 2016 luigiwalser <luigiwalser> 1.2.1-11.mga6
+ Revision: 1046453
- add patch to fix no-trailing-semicolon in desktop file
- test rebuild for poppler
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 daviddavid <daviddavid> 1.2.1-8.mga6
+ Revision: 905980
- add missing Requires on perl-DBD-SQLite (mga#17218)

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-7.mga5
+ Revision: 749419
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-6.mga5
+ Revision: 678052
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 luigiwalser <luigiwalser> 1.2.1-5.mga5
+ Revision: 668376
- rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 1.2.1-4.mga4
+ Revision: 563430
- Fix Buildrequires with new texlive

* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 535204
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 dams <dams> 1.2.1-2.mga4
+ Revision: 481646
- remove gcc 4.6 patch
- change 'texlive' BR to 'texlive-dist'

* Fri Aug 02 2013 dams <dams> 1.2.1-1.mga4
+ Revision: 462505
- new version 1.2.1

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 346614
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 malo <malo> 1.1.1-1.mga3
+ Revision: 301060
- new version 1.1.1

* Wed Jun 13 2012 fwang <fwang> 1.1.0-1.mga3
+ Revision: 260290
- update file list
- update file list
- new version 1.1.0
- rebuild for new poppler

* Mon Mar 05 2012 fwang <fwang> 1.0.3-2.mga3
+ Revision: 218393
- add debian patches to fix build
+ luigiwalser <luigiwalser>
- rebuild for netpbm

* Fri Dec 30 2011 mikala <mikala> 1.0.3-1.mga2
+ Revision: 188870
- Update tarball to 1.0.3

* Fri Oct 28 2011 fwang <fwang> 1.0.2-2.mga2
+ Revision: 158955
- rebuild for new poppler

* Tue Oct 18 2011 mikala <mikala> 1.0.2-1.mga2
+ Revision: 155988
- Update tarball to 1.0.2

* Tue Sep 27 2011 fwang <fwang> 1.0-2.mga2
+ Revision: 149369
- rebuild for new poppler

* Sun Sep 25 2011 mikala <mikala> 1.0-1.mga2
+ Revision: 147567
- Update tarball to 1.0
- remove %%defattr() and %%clean section
- fix buildrequires
+ fwang <fwang>
- rebuild for new opencv
+ ahmad <ahmad>
- Change libpoppler-*-devel BR to pkgconfig style

* Tue May 10 2011 mikala <mikala> 0.468-1.mga1
+ Revision: 97051
- Update tarball to 0.468
- Add %%clean section
- Clean %%buildroot in %%install section
- Fix BR
- imported package auto-multiple-choice

